Subject: bug#70668: Error running guix-build

From: Javier Vaquero Martínez <[email-masked]>
Date: Wed, 1 May 2024 12:04:53 +0200

I tried again today and I got this error, I hope this is the “COMPLETE 
output”.

|indexando objetos 82% 
▕█████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████▍ 
▏^ Verificando canal 'guix', revisiones de 9edb3f6 a 7d4ae2f (57 nuevas 
revisiones)... Construyendo a partir de este canal: guix 
https://git.savannah.gnu.org/git/guix.git 7d4ae2f substitute: updating 
substitutes from 'https://ci.guix.gnu.org'... 100.0% substitute: 
updating substitutes from 'https://bordeaux.guix.gnu.org'... 100.0% 
construyendo 
/gnu/store/qbdh7y6398198q695wbb39fvaq1jg4yk-compute-guix-derivation.drv... 
substitute: updating substitutes from 'https://ci.guix.gnu.org'... 
100.0% substitute: updating substitutes from 
'https://ci.guix.gnu.org'... 100.0% guile-gnutls-4.0.0 123KiB 16.6MiB/s 
00:00 ▕██████████████████▏ 100.0% guile-lzma-0.1.1 52KiB 75.5MiB/s 00:00 
▕██████████████████▏ 100.0% guix-daemon-1.4.0-18.4c94b9e 262KiB 3.3MiB/s 
00:00 ▕██████████████████▏ 100.0% libdaemon-0.14 31KiB 192KiB/s 00:00 
▕██████████████████▏ 100.0% libevent-2.1.12 304KiB 127KiB/s 00:02 
▕██████████████████▏ 100.0% libgit2-1.7.2 667KiB 2.1MiB/s 00:00 
▕██████████████████▏ 100.0% avahi-0.8 348KiB 1.7MiB/s 00:00 
▕██████████████████▏ 100.0% guile-git-0.6.0 558KiB 1.14GiB/s 00:00 
▕██████████████████▏ 100.0% guile-avahi-0.4.1 61KiB 113.6MiB/s 00:00 
▕██████████████████▏ 100.0% libssh-0.10.6 248KiB 362.2MiB/s 00:00 
▕██████████████████▏ 100.0% nspr-4.35 255KiB 364.5MiB/s 00:00 
▕██████████████████▏ 100.0% guile-ssh-0.16.4 253KiB 359.2MiB/s 00:00 
▕██████████████████▏ 100.0% nss-3.99.0 2.5MiB 1.90GiB/s 00:00 
▕██████████████████▏ 100.0% guile-ssh-0.16.4-debug 261KiB 548.7MiB/s 
00:00 ▕██████████████████▏ 100.0% nss-3.99.0-bin 6.3MiB 1.3MiB/s 00:05 
▕██████████████████▏ 100.0% substitute: updating substitutes from 
'https://ci.guix.gnu.org'... 100.0% perl-text-wrapi18n-0.06 5KiB 
6.7MiB/s 00:00 ▕██████████████████▏ 100.0% perl-gettext-1.07 9KiB 
20.3MiB/s 00:00 ▕██████████████████▏ 100.0% perl-pod-parser-1.65 75KiB 
161.1MiB/s 00:00 ▕██████████████████▏ 100.0% perl-sgmls-1.1 30KiB 
47.2MiB/s 00:00 ▕██████████████████▏ 100.0% perl-syntax-keyword-try-0.28 
30KiB 65.8MiB/s 00:00 ▕██████████████████▏ 100.0% perl-term-readkey-2.38 
18KiB 41.2MiB/s 00:00 ▕██████████████████▏ 100.0% 
perl-unicode-linebreak-2019.001 102KiB 210.7MiB/s 00:00 
▕██████████████████▏ 100.0% perl-xs-parse-keyword-0.06 32KiB 68.6MiB/s 
00:00 ▕██████████████████▏ 100.0% perl-yaml-tiny-1.73 26KiB 58.2MiB/s 
00:00 ▕██████████████████▏ 100.0% po4a-0.69 2.0MiB 1.42GiB/s 00:00 
▕█████████████▉ ▏ 77.3% po4a-0.69 2.0MiB 1.6MiB/s 00:01 
▕██████████████████▏ 100.0% substitute: updating substitutes from 
'https://ci.guix.gnu.org'... 100.0% substitute: updating substitutes 
from 'https://bordeaux.guix.gnu.org'... 100.0% The following derivations 
will be built: /gnu/store/3brbjcixl2301svf1nbrii7g2l5simsg-profile.drv 
/gnu/store/adgwjzmzn4vrrasg2wkkwc4015v9sn0q-guix-7d4ae2fca.drv 
/gnu/store/45zdnymwblyy96xjxx8vn66pp3g6kzpy-guix-manual.drv 
/gnu/store/fac7lbvv3vvckrbg89j33fi68mjkdrm4-guix-daemon.drv 
/gnu/store/mgr95jy5c0836wh2bn5k7ky2x54dqp2c-guix-command.drv 
/gnu/store/6pn8bgj7bnd0abbmdj2nw6nbdzxli2va-guix-module-union.drv 
/gnu/store/pslvbxg7li63hg756ld48428dv57b6s2-guix-7d4ae2fca-modules.drv 
/gnu/store/65q571jybj3b4swrip3xa6yp8cj5pfmz-guix-system-modules.drv 
/gnu/store/07ydxwmfwnyimjb975758fsbhxqz705g-guix-system.drv 
/gnu/store/186hzha1ryzmmm44w14qwylg3j3dlssj-guix-core-source.drv 
/gnu/store/2f0z0x4nqpwgwmrk5qs7ka0p3y2a2gny-config.scm.drv 
/gnu/store/7aipivqdfc1vjkl57iqrqijrnm84q6za-guix-packages.drv 
/gnu/store/yppyh6vkkyyb5rw1nf6chldy0ghyhrvx-guix-extra.drv 
/gnu/store/zd6p7ji2givw0riyfbz0cgz5k58gvhzi-guix-packages-base.drv 
/gnu/store/794jap8cxm794zrrsm57wlviar2ii4ng-guix-home-modules.drv 
/gnu/store/x4842h2wmh0s80nr7aj600as1rm0yxip-guix-home.drv 
/gnu/store/99sv8804ryjr3kvc0ci9xfj93x5xr3p3-guix-core-modules.drv 
/gnu/store/a4z23ss5ss68c53kl234w3jpi39m5gxc-guix-cli-core-modules.drv 
/gnu/store/ga4phpgik33kz2kz9mbz409k2g8ydk0y-guix-cli-core.drv 
/gnu/store/cb35ipxwi8sy4syn5hlkb9ka96g911ly-guix-extra-modules.drv 
/gnu/store/ihf8c969ljm3vpk288kgs0a8fqr38kn8-guix-system-tests-modules.drv 
/gnu/store/ygj7jyqfd8q6kn9rhcvyw14vc0lhy6qr-guix-system-tests.drv 
/gnu/store/mqjsk1r86jss0pb7zl3a50asp6p7hnls-guix-cli.drv 
/gnu/store/inws8xpm6xdridl5wpbwyr9caa2m80gr-guix-cli-modules.drv 
/gnu/store/la9sqimciqxyy8na371cpkx74dggy4ch-guix-packages-modules.drv 
/gnu/store/vv5gsmwsg53bwfa36vykg3bshrwafpfc-guix-config-modules.drv 
/gnu/store/i9dsxx8w7r9zbz39gkz97ga2g0yskhj2-guix-config.drv 
/gnu/store/k9x10rcsfk08dkw1n1l88sr2zqwdq7gh-guix-config-source.drv 
/gnu/store/4m3w64f68p6kg0jr7y6xqzfzggf7lgmq-config.scm.drv 
/gnu/store/wpplnihcpn9fx6a3npv38zzy42vgb449-guix-packages-base-modules.drv 
/gnu/store/j4rnf4vsgazc0wh55z9lzkqif2qxjnij-guix-misc.drv 
/gnu/store/4yh9936v1qmpn0hr6ahi3rklr005li4l-profile.drv 
/gnu/store/v04c1pnwwk4nc5vsihip33knybgiilrp-inferior-script.scm.drv Se 
descargarán 4,4 MB substitute: updating substitutes from 
'https://ci.guix.gnu.org'... 100.0% 1683:16 5 (raise-exception _ 
#:continuable? _) [0/98] 1685:16 4 (raise-exception _ #:continuable? _) 
1780:13 3 (_ #<&compound-exception components: (#<&error> #<&irri?>) 
1685:16 2 (raise-exception _ #:continuable? _) 1683:16 1 
(raise-exception _ #:continuable? _) 1685:16 0 (raise-exception _ 
#:continuable? _) ice-9/boot-9.scm:1685:16: In procedure 
raise-exception: ERROR: 1. &http-get-error: Backtrace: 18 
(primitive-load 
"/gnu/store/bhmyy7pmpn1zgmfs4zydy6jkps7gp96x-compute-guix-derivation") 
In ice-9/eval.scm: 155:9 17 (_ _) 159:9 16 (_ 
#(#(#(#(#(#(#(#(#(#(#(#(#(#(#(#(#<directory (guile-u?> ?) ?) ?) ?) ?) ?) 
?) ?) ?) ?) ?) ?) ?) ?) ?) ?)) In ice-9/boot-9.scm: 152:2 15 
(with-fluid* _ _ _) 152:2 14 (with-fluid* _ _ _) In ./guix/store.scm: 
2182:24 13 (run-with-store #<store-connection 256.99 7f494f9b90a0> 
#<procedure 7f4928fc9410 at ./guix/self.scm:13?> ?) 2010:8 12 (_ 
#<store-connection 256.99 7f494f9b90a0>) In ./guix/gexp.scm: 299:22 11 
(_ #<store-connection 256.99 7f494f9b90a0>) 1205:2 10 (_ 
#<store-connection 256.99 7f494f9b90a0>) 1072:2 9 (_ #<store-connection 
256.99 7f494f9b90a0>) 913:4 8 (_ #<store-connection 256.99 
7f494f9b90a0>) In ./guix/store.scm: 2067:12 7 (_ #<store-connection 
256.99 7f494f9b90a0>) 1409:13 6 (map/accumulate-builds 
#<store-connection 256.99 7f494f9b90a0> #<procedure 7f4928edb740 at 
./guix/stor?> ?) 1405:5 5 (map/accumulate-builds #<store-connection 
256.99 7f494f9b90a0> #<procedure 7f49306aba20 at ./guix/stor?> ?) 
1421:15 4 (_ #<store-connection 256.99 7f494f9b90a0> 
("/gnu/store/7kipzakqm38zyav4lbjdymkx7l261cnk-guix-daemo?" ?) ?) 1421:15 
3 (loop #f) 718:11 2 (process-stderr #<store-connection 256.99 
7f494f9b90a0> _) In ./guix/serialization.scm: 101:11 1 (read-int 
#<input-output: file 10>) 79:6 0 (get-bytevector-n* #<input-output: file 
10> 8) ./guix/serialization.scm:79:6: In procedure get-bytevector-n*: 
ERROR: 1. &nar-error: file: #f port: #<input-output: file 10> guix pull: 
error: You found a bug: the program 
'/gnu/store/bhmyy7pmpn1zgmfs4zydy6jkps7gp96x-compute-guix-derivation' 
failed to compute the derivation for Guix (version: 
"a1ffa8a69bbce0beccca0e5183bdf771cdc166ba"; system: "x86_64-linux"; host 
version: "a8353e9d6b34fd8d42d2e8f14ce844849fe9c293"; pull-version: 1). 
Please report the COMPLETE output above by email to <[email-masked]>. |

​